package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.MappingConfig;
import com.diagbot.entity.wrapper.MappingConfigWrapper;
import com.diagbot.mapper.MappingConfigMapper;
import com.diagbot.service.MappingConfigService;
import com.diagbot.vo.MappingConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 医学术语映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-06-09
 */
@Service
public class MappingConfigServiceImpl extends ServiceImpl<MappingConfigMapper, MappingConfig> implements MappingConfigService {
    /**
     * 分页查询
     *
     * @param mappingConfigPageVO
     * @return
     */
    @Override
    public IPage<MappingConfigWrapper> getPage(@Param("mappingConfigPageVO") MappingConfigPageVO mappingConfigPageVO) {
        return baseMapper.getPage(mappingConfigPageVO);
    }
}
