package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ScaleConfig;
import com.diagbot.mapper.ScaleConfigMapper;
import com.diagbot.service.ScaleConfigService;
import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.ScaleConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 量表映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-04-13
 */
@Service
public class ScaleConfigServiceImpl extends ServiceImpl<ScaleConfigMapper, ScaleConfig> implements ScaleConfigService {

    @Override
    public IPage<ScaleConfig> getPage(@Param("scaleConfigPageVO") ScaleConfigPageVO scaleConfigPageVO) {
        return baseMapper.getPage(scaleConfigPageVO);
    }

    @Override
    public List<ScaleConfig> getScalesIndex(RetrievalVO retrievalVO) {
        return baseMapper.getScalesIndex(retrievalVO);
    }
}
