package com.diagbot.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/6/10 19:16
 */
@Getter
@Setter
public class AnesthesiaConfig {
    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医院科室名称
     */
    @Excel(name = "医院麻醉名称", width = 40, orderNum = "1", isImportField = "true")
    @NotBlank(message = "请输入医院麻醉名称")
    private String hisName;

    /**
     * 标准科室名称
     */
    @Excel(name = "标准麻醉名称", width = 40, orderNum = "2", isImportField = "true")
    @NotBlank(message = "请输入标准麻醉名称")
    private String uniqueName;

}
