package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/4/26 10:24
 */
@Getter
@Setter
public class NurseConfigPageVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 医院术语名称
     */
    private String hisName;

    /**
     * 医学标准术语名称
     */
    private String uniqueName;

    /**
     * 标准编码
     */
    private String uniqueCode;
}